httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eric Covener <cove...@gmail.com>
Subject Re: [users@httpd] Apache 2.4.2 with LDAP support
Date Wed, 04 Jul 2012 12:40:19 GMT
On Wed, Jul 4, 2012 at 7:36 AM, Paul Reilly <pareilly@tcd.ie> wrote:
> Hello,
>
> I'm having trouble building Apache 2.4.2 with LDAP support.
> I get:
>
> checking for ldap support in apr/apr-util... no
> configure: WARNING: apr/apr-util is compiled without ldap support
> checking whether to enable mod_authnz_ldap...
> configure: error: mod_authnz_ldap has been requested but can not be built
> due to prerequisite failures
>
> I have the APR and APR source unpacked in to srclib.
> My build directory is like this:
>
> ~/BUILD/httpd-2.4.2/
> ~/BUILD/httpd-2.4.2/srclib/apr/                         (apr 1.4.6)
> ~/BUILD/httpd-2.4.2/srclib/apr-util/                   (apr util 2.4.2)
>
> My configure is:
>
> ./configure --prefix=/usr/local/apache2 --with-included-apr --enable-ldap
> --enable-authnz-ldap
>
>
> If I go in to srclib/apr-util  and configure apr-util manually with
>
>  ./configure --enable-ldap --with-apr=../apr
>
> I can build apr-util.  But then when I configure and build apache it fails.

APR/APR-UTIL wants --with-ldap, if you're building the bundled
APR/APR-UTIL you can just pass that stuff to httpd's configure.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message